#163 closed defect (fixed)

librdbg for m68k fails on systems with VBR

Reported by: thomas.doerfler Owned by: thomas.doerfler
Priority: lowest Milestone: 2
Component: unspecified Version: unknown
Severity: normal Keywords:
Cc: bugs@…, joel.sherrill@… Blocked By:
Blocking:

Description

The file rdbg_cpu_asm.S incorrectly assumes, that exception stack frames on M68K members with VBR always are 6 byte long.

This results in some gdb commands like "next" to fail.

Release:
rtems-ss-20020205

Environment:
M68k systems with VBR (e.g. MC68360)

How-To-Repeat:
Build system for a MC68360 with librdbg support
try debugging session with m68k-RTEMS-gdb
set and hit breakpoint to some function
try to skip over some subfunctions with "next" command

Attachments (1)

m68k_rdbg_cpu_asm.diff (4.3 KB) - added by thomas.doerfler on Dec 3, 2006 at 1:31:13 PM.
m68k_rdbg_cpu_asm.diff

Download all attachments as: .zip

Change History (5)

comment:1 Changed on Mar 29, 2002 at 2:05:31 PM by Joel Sherrill

Owner: changed from joel to thomas.doerfler

comment:2 Changed on Apr 18, 2002 at 3:36:49 PM by thomas.doerfler

Status: assignedwaiting

comment:3 Changed on May 14, 2002 at 2:14:05 PM by Joel Sherrill

Status: waitingclosed

State-Changed-From-To: feedback->closed
State-Changed-Why: Patch applied

Changed on Dec 3, 2006 at 1:31:13 PM by thomas.doerfler

Attachment: m68k_rdbg_cpu_asm.diff added

m68k_rdbg_cpu_asm.diff

comment:4 Changed on Oct 10, 2017 at 6:35:44 AM by Sebastian Huber

Component: miscunspecified
Note: See TracTickets for help on using tickets.